import AppBar from './AppBar';
import RecordList from './RecordList';
import PlayerBar from './PlayerBar';
import styles from './MainPage.module.css';
import { CssBaseline, Box, Container, Typography } from '@mui/material';
import RecordLyrics from './RecordLyrics';

export default function () {
    return <div>
        <CssBaseline />
        <AppBar />
        <RecordList />
        <Box
            component="main"
            sx={{
                width: `calc(100% - 240px)`, ml: `240px`
            }}
        >
            <Typography>2022-12-13 14:39_同传翻译</Typography>
            <PlayerBar />
            <RecordLyrics />
        </Box>


    </div >
}