import React from 'react';
import Box from '@mui/material/Box';
import Drawer from '@mui/material/Drawer';
import List from '@mui/material/List';
import ListItem from '@mui/material/ListItem';
import ListItemButton from '@mui/material/ListItemButton';
import ListItemIcon from '@mui/material/ListItemIcon';
import ListItemText from '@mui/material/ListItemText';
import Toolbar from '@mui/material/Toolbar';
import { CssBaseline } from '@mui/material';

const drawerWidth = 240;


const recordList = [
    {
        title: "2022-12-14 14:39_同传翻译",
        time: "2022-12-14 14:39",
        content: "当面对重重困难，你感觉举步维艰的时候，回想你以前是如何坚持到底战胜困难的最后时刻的。这样，你就会发现你有能力克服每个障碍。"
    },
    {
        title: "2022-12-14 14:39_同传翻译",
        time: "2022-12-14 14:39",
        content: "当面对重重困难，你感觉举步维艰的时候，回想你以前是如何坚持到底战胜困难的最后时刻的。这样，你就会发现你有能力克服每个障碍。"
    },
    {
        title: "2022-12-14 14:39_同传翻译",
        time: "2022-12-14 14:39",
        content: "当面对重重困难，你感觉举步维艰的时候，回想你以前是如何坚持到底战胜困难的最后时刻的。这样，你就会发现你有能力克服每个障碍。"
    },
    {
        title: "2022-12-14 14:39_同传翻译",
        time: "2022-12-14 14:39",
        content: "当面对重重困难，你感觉举步维艰的时候，回想你以前是如何坚持到底战胜困难的最后时刻的。这样，你就会发现你有能力克服每个障碍。"
    },
    {
        title: "2022-12-14 14:39_同传翻译",
        time: "2022-12-14 14:39",
        content: "当面对重重困难，你感觉举步维艰的时候，回想你以前是如何坚持到底战胜困难的最后时刻的。这样，你就会发现你有能力克服每个障碍。"
    },
];

export default function () {
    return <Drawer
        variant="permanent"
        sx={{
            width: drawerWidth,
            flexShrink: 0,
            [`& .MuiDrawer-paper`]: { width: drawerWidth, boxSizing: 'border-box' },
        }}
    >
        <Toolbar />
        <Box sx={{ overflow: 'auto' }}>
            <List>
                {recordList.map((item, index) => (
                    <ListItem key={index} disablePadding>
                        <ListItemButton>
                            <ListItemText primary={item.title} secondary={
                                <React.Fragment>
                                    <div>{item.content}</div>
                                    <div>更新于 {item.time}</div>
                                </React.Fragment>
                            } />
                        </ListItemButton>
                    </ListItem>
                ))}
            </List>
        </Box>
    </Drawer>
}