import { Typography } from "@mui/material";
import styles from './RecordLyrics.module.css';

const lyrics = [
    {
        original: "当你身陷困境的时候（你有时会），回想你生命中快乐和幸福的时刻。回想它是如何使你快乐，你便有了走出困境的勇气。",
        translation: "When times become difficult (and you know they sometimes will), remember a moment in your life that was filled with joy and happiness. Remember how it made you feel, and you will have the strength you need to get through any trial.",
    },
    {
        original: "当面对重重困难，你感觉举步维艰的时候，回想你以前是如何坚持到底战胜困难的最后时刻的。这样，你就会发现你有能力克服每个障碍。",
        translation: "When life throws you one more obstacle than you think you can handle, remember something you achieved through perseverance and by struggling to the end. In doing so, you'll find you have the ability to overcome each obstacle brought your way.",
    },
    {
        original: "当你觉得精疲力尽的时候，暂时离开，让自己稍作休息。",
        translation: "When you find yourself drained and depleted of energy, remember to find a place of sanctuary and rest.",
    },
    {
        original: "当你身陷困境的时候（你有时会），回想你生命中快乐和幸福的时刻。回想它是如何使你快乐，你便有了走出困境的勇气。",
        translation: "When times become difficult (and you know they sometimes will), remember a moment in your life that was filled with joy and happiness. Remember how it made you feel, and you will have the strength you need to get through any trial.",
    },
    {
        original: "当面对重重困难，你感觉举步维艰的时候，回想你以前是如何坚持到底战胜困难的最后时刻的。这样，你就会发现你有能力克服每个障碍。",
        translation: "When life throws you one more obstacle than you think you can handle, remember something you achieved through perseverance and by struggling to the end. In doing so, you'll find you have the ability to overcome each obstacle brought your way.",
    },
    {
        original: "当你觉得精疲力尽的时候，暂时离开，让自己稍作休息。",
        translation: "When you find yourself drained and depleted of energy, remember to find a place of sanctuary and rest.",
    },

    {
        original: "当你身陷困境的时候（你有时会），回想你生命中快乐和幸福的时刻。回想它是如何使你快乐，你便有了走出困境的勇气。",
        translation: "When times become difficult (and you know they sometimes will), remember a moment in your life that was filled with joy and happiness. Remember how it made you feel, and you will have the strength you need to get through any trial.",
    },
    {
        original: "当面对重重困难，你感觉举步维艰的时候，回想你以前是如何坚持到底战胜困难的最后时刻的。这样，你就会发现你有能力克服每个障碍。",
        translation: "When life throws you one more obstacle than you think you can handle, remember something you achieved through perseverance and by struggling to the end. In doing so, you'll find you have the ability to overcome each obstacle brought your way.",
    },
    {
        original: "当你觉得精疲力尽的时候，暂时离开，让自己稍作休息。",
        translation: "When you find yourself drained and depleted of energy, remember to find a place of sanctuary and rest.",
    },
    {
        original: "当你身陷困境的时候（你有时会），回想你生命中快乐和幸福的时刻。回想它是如何使你快乐，你便有了走出困境的勇气。",
        translation: "When times become difficult (and you know they sometimes will), remember a moment in your life that was filled with joy and happiness. Remember how it made you feel, and you will have the strength you need to get through any trial.",
    },
    {
        original: "当面对重重困难，你感觉举步维艰的时候，回想你以前是如何坚持到底战胜困难的最后时刻的。这样，你就会发现你有能力克服每个障碍。",
        translation: "When life throws you one more obstacle than you think you can handle, remember something you achieved through perseverance and by struggling to the end. In doing so, you'll find you have the ability to overcome each obstacle brought your way.",
    },
    {
        original: "当你觉得精疲力尽的时候，暂时离开，让自己稍作休息。",
        translation: "When you find yourself drained and depleted of energy, remember to find a place of sanctuary and rest.",
    },
];


export default function () {
    return <div className={styles.lyricsBrowser}>
        {lyrics.map((lyric, index) => {
            return <div className={styles.lyricItem}>
                <Typography align="left">{lyric.original}</Typography>
                <Typography align="left">{lyric.translation}</Typography>
            </div>
        })}
    </div>
}