import { configureStore } from '@reduxjs/toolkit'
import userReducer from "./userSlice.js"
import recorderReducer from "./recorderSlice.js";

export default configureStore({
    reducer: {
        user: userReducer,
        recorder: recorderReducer,
    }
})