import { Grid, MenuItem, Select, FormControl, InputLabel, Button } from "@mui/material"
import styles from './PlayerBar.module.css';

export default function () {
    return <Grid container>
        <Grid item lg={1}> <Button>播放</Button> </Grid>
        <Grid item lg={10}> <div>进度条</div></Grid>
        <Grid item lg={1}>
            <FormControl fullWidth>
                <InputLabel id="demo-simple-select-label">速度</InputLabel>
                <Select
                    labelId="demo-simple-select-label"
                    id="demo-simple-select"
                    label="速度"
                >
                    <MenuItem value={10}>0.5X</MenuItem>
                    <MenuItem value={20}>1.0X</MenuItem>
                    <MenuItem value={30}>1.25X</MenuItem>
                    <MenuItem value={30}>1.5X</MenuItem>
                    <MenuItem value={30}>2.0X</MenuItem>
                </Select>
            </FormControl>
        </Grid>
    </Grid>
}