import { createSlice } from '@reduxjs/toolkit'

export const recorderSlice = createSlice({
    name: 'user',
    initialState: {
        list: [],
    },
    reducers: {
        setList: (state, action) => {
            state.list = action.payload;
        }
    }
})

// Action creators are generated for each case reducer function
export const { setList } = recorderSlice.actions

export default recorderSlice.reducer