const { createProxyMiddleware } = require('http-proxy-middleware');

module.exports = function (app) {
    app.use(
        '/api/app/app-voice-recorder/rest/v1/trans/info/list',
        createProxyMiddleware({
            target: 'http://ai-api.uat.hivoice.cn',
            changeOrigin: true,
            logger: console,
            onProxyReq: (proxyReq, req, res) => {
                proxyReq.setHeader('appKey', 'k5hfiei5eevouvjohkapjaudpk2gakpaxha22fiy');
                // console.log("proxyReq", req)
            },
        })
    );
    app.use(
        '/api/app/app-voice-recorder/rest/v1/user/select',
        createProxyMiddleware({
            target: 'http://ai-api.uat.hivoice.cn',
            changeOrigin: true,
            logger: console,
            onProxyReq: (proxyReq, req, res) => {
                proxyReq.setHeader('appKey', 'k5hfiei5eevouvjohkapjaudpk2gakpaxha22fiy');
            },
        })
    );
};